### Method

# ICalGLib Component clone

since: 4.0

#### Declaration [src]

    ICalComponent*
    i_cal_component_clone (
      const ICalComponent* component
    )

#### Description [src]

Deeply clone a `ICalComponent`.

Available since: 4.0

#### Return value

Type: `ICalComponent`

The newly deeply cloned `ICalComponent`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.